<?php

namespace TelegramApi\Types;

class Animation implements TypeInterface
{
	/** @var string Unique file identifier */
	public string $fileId;

	/** @var int Video width as defined by sender */
	public int $width;

	/** @var int Video height as defined by sender */
	public int $height;

	/** @var int Duration of the video in seconds as defined by sender */
	public int $duration;

	/** @var PhotoSize|null Optional. Animation thumbnail as defined by sender */
	public ?PhotoSize $thumb = null;

	/** @var string|null Optional. Original animation filename as defined by sender */
	public ?string $fileName = null;

	/** @var string|null Optional. MIME type of the file as defined by sender */
	public ?string $mimeType = null;

	/** @var int|null Optional. File size */
	public ?int $fileSize = null;
}
